package com.ejie.p06b.datatype.logic;

import java.io.Serializable;
import java.util.ArrayList;

import com.ejie.p06b.datatype.model.P06B32T00Datatype;
import com.ejie.p06b.datatype.model.P06B35T00Datatype;
import com.ejie.p06b.datatype.model.P06B37T00Datatype;
import com.ejie.p06b.datatype.model.P06B39T00Datatype;
import com.ejie.p06b.datatype.model.P06B40T00Datatype;

/**
 * Fecha de creación: (06/07/2010)
 */
public class P06BDECModelos implements Serializable {

	/**
	 * @return Returns the mod01y02.
	 */
	public P06B32T00Datatype getMod01y02() {
		return mod01y02;
	}
	/**
	 * @param mod01y02 The mod01y02 to set.
	 */
	public void setMod01y02(P06B32T00Datatype mod01y02) {
		this.mod01y02 = mod01y02;
	}
	
	/**
	 * @return Returns the listaMod02Socios.
	 */
	public ArrayList getListaMod02Socios() {
		return listaMod02Socios;
	}
	/**
	 * @param listaMod02Socios The listaMod02Socios to set.
	 */
	public void setListaMod02Socios(ArrayList listaMod02Socios) {
		this.listaMod02Socios = listaMod02Socios;
	}

	/**
	 * @return Returns the listaMod02Cargos.
	 */
	public ArrayList getListaMod02Cargos() {
		return listaMod02Cargos;
	}
	/**
	 * @param listaMod02Cargos The listaMod02Cargos to set.
	 */
	public void setListaMod02Cargos(ArrayList listaMod02Cargos) {
		this.listaMod02Cargos = listaMod02Cargos;
	}

	/**
	 * @return Returns the mod1Sedes.
	 */
	public P06B35T00Datatype getMod1Sedes() {
		return mod1Sedes;
	}
	/**
	 * @param mod1Sedes The mod1Sedes to set.
	 */
	public void setMod1Sedes(P06B35T00Datatype mod1Sedes) {
		this.mod1Sedes = mod1Sedes;
	}
	
	/**
	 * @return Returns the listaMod1MedPer.
	 */
	public ArrayList getListaMod1MedPer() {
		return listaMod1MedPer;
	}
	/**
	 * @param listaMod1MedPer The listaMod1MedPer to set.
	 */
	public void setListaMod1MedPer(ArrayList listaMod1MedPer) {
		this.listaMod1MedPer = listaMod1MedPer;
	}

	/**
	 * @return Returns the mod21.
	 */
	public P06B37T00Datatype getMod21() {
		return mod21;
	}
	/**
	 * @param mod21 The mod21 to set.
	 */
	public void setMod21(P06B37T00Datatype mod21) {
		this.mod21 = mod21;
	}
	
	/**
	 * @return Returns the listaMod22.
	 */
	public ArrayList getListaMod22() {
		return listaMod22;
	}
	/**
	 * @param listaMod22 The listaMod22 to set.
	 */
	public void setListaMod22(ArrayList listaMod22) {
		this.listaMod22 = listaMod22;
	}

	/**
	 * @return Returns the mod23.
	 */
	public P06B39T00Datatype getMod23() {
		return mod23;
	}
	/**
	 * @param mod23 The mod23 to set.
	 */
	public void setMod23(P06B39T00Datatype mod23) {
		this.mod23 = mod23;
	}

	/**
	 * @return Returns the mod3.
	 */
	public P06B40T00Datatype getMod3() {
		return mod3;
	}
	/**
	 * @param mod3 The mod3 to set.
	 */
	public void setMod3(P06B40T00Datatype mod3) {
		this.mod3 = mod3;
	}
	
	/**
	 * @return Returns the justifAdjuntos.
	 */
	public ArrayList getJustifAdjuntos() {
		return justifAdjuntos;
	}
	/**
	 * @param justifAdjuntos The justifAdjuntos to set.
	 */
	public void setJustifAdjuntos(ArrayList justifAdjuntos) {
		this.justifAdjuntos = justifAdjuntos;
	}	

	
	private P06B32T00Datatype mod01y02 = null;
	private ArrayList listaMod02Socios = new ArrayList();
	private ArrayList listaMod02Cargos = new ArrayList();
	private P06B35T00Datatype mod1Sedes = null;
	private ArrayList listaMod1MedPer = new ArrayList();
	private P06B37T00Datatype mod21 = null;
	private ArrayList listaMod22 = new ArrayList();
	private P06B39T00Datatype mod23 = null;
	private P06B40T00Datatype mod3 = null;
	private ArrayList justifAdjuntos = new ArrayList();
	
}